CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_setting`(
    `id_freshmail_setting` INT NOT NULL AUTO_INCREMENT ,
    `id_shop` INT NOT NULL ,
    `api_token` VARCHAR(100) NOT NULL ,
    `smtp` TINYINT(1) NOT NULL ,
    `synchronize` TINYINT(1) NOT NULL ,
    `wizard_completed` TINYINT(1) NOT NULL DEFAULT 0,
    `send_confirmation` TINYINT(1) NOT NULL DEFAULT 0,
    `subscriber_list_hash` char(10) COLLATE utf8_general_ci NOT NULL,
    `id_specific_price_rule` int(10)  UNSIGNED NOT NULL,
    `date_add` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
    `date_upd` TIMESTAMP NULL,
    KEY `id_freshmail_form` (`subscriber_list_hash`) USING BTREE,
    PRIMARY KEY (`id_freshmail_setting`)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_list_email`(
    `id_freshmail_list_email` INT NOT NULL AUTO_INCREMENT ,
    `email` VARCHAR (150),
    `hash_list` char(10) COLLATE utf8_general_ci NOT NULL,
    `last_synchronization` TIMESTAMP,
    `add_date` TIMESTAMP,
    `deletion_date` TIMESTAMP,
    `status`  VARCHAR (20),
    `resigning_reason` VARCHAR (250),
    PRIMARY KEY (`id_freshmail_list_email`),
    CONSTRAINT `PREFIX_freshmail_list_email_ibfk_1` FOREIGN KEY (`hash_list`) REFERENCES `PREFIX_freshmail_setting` (`subscriber_list_hash`) ON DELETE CASCADE ON UPDATE CASCADE,
    UNIQUE (hash_list, email)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_async_job` (
    `id_freshmail_async_job` INT NOT NULL AUTO_INCREMENT ,
    `id_job` INT NOT NULL ,
    `hash_list` CHAR(10) NOT NULL ,
    `parts` INT NOT NULL ,
    `last_sync` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ,
    `finished` TINYINT(1) DEFAULT 0,
    `job_status` TINYINT(1) DEFAULT 0,
    `filename` VARCHAR (50),
    `date_add` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
    PRIMARY KEY (`id_freshmail_async_job`)
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_emails_synchronized` (
    `id_freshmail_emails_synchronized` INT NOT NULL AUTO_INCREMENT ,
    `email` VARCHAR (150),
    `hash_list` CHAR(10) NOT NULL ,
    `date_add` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
    PRIMARY KEY (`id_freshmail_emails_synchronized`),
    UNIQUE (hash_list, email)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_emails_to_synchronize` (
    `id_freshmail_emails_to_synchronize` INT NOT NULL AUTO_INCREMENT ,
    `email` VARCHAR (150),
    `name` VARCHAR (150),
    `hash_list` CHAR(10) NOT NULL ,
    PRIMARY KEY (`id_freshmail_emails_to_synchronize`),
    UNIQUE (hash_list, email)
) ENGINE = InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_form` (
    `id_freshmail_form` int(11) NOT NULL AUTO_INCREMENT,
    `hash_list` char(10) COLLATE utf8_general_ci NOT NULL,
    `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
    `count` int(11) NOT NULL,
    `position` int(11) NOT NULL,
    `last` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    `active` tinyint(4) NOT NULL,
    `subscribers_status` int(1) NOT NULL DEFAULT '1',
    `confirm` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id_freshmail_form`),
    KEY `id_freshmail_form` (`hash_list`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `PREFIX_freshmail_list_field` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `tag` varchar(255) COLLATE utf8_general_ci NOT NULL,
    `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
    `require_field` tinyint(4) NOT NULL,
    `include_field` tinyint(4) NOT NULL,
    `hash` varchar(11) COLLATE utf8_general_ci NOT NULL,
    `displayname` varchar(255) COLLATE utf8_general_ci NOT NULL,
    `id_form` int(11) NOT NULL,
    `type` varchar(11) COLLATE utf8_general_ci NOT NULL,
    PRIMARY KEY (`id`),
    KEY `list_id` (`id_form`),
    CONSTRAINT `PREFIX_freshmail_list_field_ibfk_1` FOREIGN KEY (`id_form`) REFERENCES `PREFIX_freshmail_form` (`id_freshmail_form`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
