<?php

namespace FreshMail\Entity;

use FreshMail\Repository\FieldRepository;
use ObjectModel;

class Form extends ObjectModel
{
    public $id;
    public $hash_list;
    public $name;
    public $count;
    public $position;
    public $fields;
    public $active;
    public $confirm;
    public $subscribers_status;

    /**
     * @var array
     */
    public static $definition = [
        'table' => 'freshmail_form',
        'primary' => 'id_freshmail_form',
        'fields' => [
            'name' => ['type' => self::TYPE_STRING, 'reqired' => true],
            'hash_list' => ['type' => self::TYPE_STRING, 'reqired' => true],
            'count' => ['type' => self::TYPE_INT, 'reqired' => false, 'validate' => 'isUnsignedInt'],
            'position' => ['type' => self::TYPE_INT, 'reqired' => true, 'validate' => 'isUnsignedInt'],
            'active' => ['type' => self::TYPE_INT, 'validate' => 'isUnsignedInt'],
            'confirm' => ['type' => self::TYPE_INT, 'validate' => 'isUnsignedInt'],
            'subscribers_status' => ['type' => self::TYPE_INT, 'validate' => 'isInt']
        ]
    ];

    /**
     * Get repository class name
     *
     * @return string
     */
    public static function getRepositoryClassName()
    {
        return 'FormRepository';
    }

    public function __construct($id = null, $id_lang = null, $id_shop = null)
    {
        parent::__construct($id, $id_lang, $id_shop);
        if ($id) {
            $this->fields = FieldRepository::getFieldsByIdForm($id);
        }
    }
}